Skip to main content
PUT
/
chat
/
{thread_id}
Update Thread
curl --request PUT \
  --url https://ds.cominty.com/chat/{thread_id} \
  --header 'Content-Type: application/json' \
  --header 'x-cominty-token: <api-key>' \
  --data '
{
  "name": "<string>",
  "starred": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "live": true,
  "agent": {
    "id": "<string>",
    "name": "<string>"
  },
  "starred": true,
  "messages": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "role": "<string>",
      "content": "<string>",
      "questions": [
        {
          "prompt": "<string>",
          "options": [
            "<string>"
          ]
        }
      ],
      "live": true,
      "status": "<string>",
      "events": [
        {}
      ],
      "structured_output": {},
      "files": [
        {
          "id": "<string>",
          "name": "<string>",
          "size": 123,
          "mimetype": "<string>",
          "url": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cominty.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-cominty-token
string
header
required

Your Cominty API token.

Path Parameters

thread_id
string<uuid>
required

Body

application/json
name
string | null
starred
boolean | null

Response

Successful Response

id
string<uuid>
required
name
string
required
created_at
string<date-time>
required
live
boolean
required
agent
AgentOut · object
required
starred
boolean
required
messages
MessageOut · object[]
required